@font-face {
    font-family: "SourceCodePro-light";
    src: url('https://tensorspace.org/fonts/SourceCodePro-Light.ttf')
}

@font-face {
    font-family: "SourceCodePro-Regular";
    src: url('https://tensorspace.org/fonts/SourceCodePro-Regular.ttf')
}

@font-face {
    font-family: "SourceCodePro-Semibold.ttf";
    src: url('https://tensorspace.org/fonts/SourceCodePro-Semibold.ttf')
}

@font-face {
    font-family: "SourceSansPro-Bold";
    src: url('https://tensorspace.org/fonts/SourceSansPro-Bold.ttf');
}

@font-face {
    font-family: "SourceSansPro-Light";
    src: url('https://tensorspace.org/fonts/SourceSansPro-Light.ttf');
}

@font-face {
    font-family: "SourceSansPro-Regular";
    src: url('https://tensorspace.org/fonts/SourceSansPro-Regular.ttf');
}

@font-face {
    font-family: "PingFang-SC-Light";
    src: url('https://tensorspace.org/fonts/PingFang-SC-Light.ttf');
}

@font-face {
    font-family: "PingFang-SC-Regular";
    src: url('https://tensorspace.org/fonts/PingFang-SC-Regular.ttf');
}

@font-face {
    font-family: "PingFang-SC-Bold";
    src: url('https://tensorspace.org/fonts/PingFang-SC-Bold.ttf');
}

html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

a,
a:hover {
    color: #0340D8;
}

a:hover,
a:link {
    text-decoration: none;
}

p {
    margin: 0;
}

body {
    font-family: SourceSansPro-Regular, sans-serif;
}

.span_code {
    font-family: SourceSansPro-Regular, sans-serif;
}

body>nav {
    left: 0;
    top: 0;
    height: 60px;
    width: 100%;
    font-family: SourceSansPro-Regular, sans-serif;
    line-height: 60px;
    text-align: center;
    border-bottom: 0px solid #0071bc;
    box-shadow: 0 2px 2px -2px #0071bc;
    box-sizing: border-box;
    position: fixed;
    background-color: #fff;
    z-index: 10;
}

body>nav>div {
    height: 100%;
}

#logo {
    float: left;
    height: 60px;
    cursor: pointer;
}

#logo>a {
    display: inline-block;
    width: 100%;
    height: 100%;
}

#logo>a>img {
    height: 70%;
    margin-top: 4%;
    float: left;
}

#logo>a>div {
    font-size: 25px;
    line-height: 60px;
    float: left;
    margin-left: 20px;
    font-family: SourceSansPro-Bold, sans-serif;
    font-weight: bold;
    color: #4d4d4d;
}

body>nav>div>ul {
    height: 40px;
    width: auto;
    display: block;
    line-height: 40px;
    list-style: none;
    float: left;
    font-size: 16px;
    margin-top: 10px;
}

body>nav>div>ul>li {
    height: 100%;
    width: auto;
    float: left;
    border-color: white;
    position: relative;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    margin-right: 20px;
    box-sizing: border-box;
}

body>nav>div>ul>li>a {
    float: left;
    height: 100%;
    width: 100%;
    color: #808080;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
}

body>nav>div>ul>li:hover {
    border-bottom: 3px solid #0340D8;
}

body>nav>div>ul>li:hover>a {
    font-weight: bold;
    color: #0340D8;
}

.now {
    border-bottom: 3px solid #0340D8;
}

.now>a {
    color: #0340D8;
    font-weight: bold;
}

.navbar-nav>li {
    float: none;
}

#more {
    position: absolute;
    top: 0;
    right: 20px;
    border-bottom: 0;
    cursor: pointer;
    display: none;
}

#more li {
    float: right;
    border-bottom: 0;
    height: 40px;
    margin-top: 10px;
}

#more li a {
    color: #0340D8;
}

#nav-collapse {
    display: none;
    margin: 0 1px;
    background-color: #fff;
    width: 100%;
    border-bottom: 1px solid #ddd;
    z-index: 10;
}

#nav-collapse ul {
    background-color: #fff;
    margin: 0;
}

#nav-collapse li {
    background-color: #fff;
    border-top: 1px solid #ddd;
}

#nav-collapse li a {
    color: #808080;
}

.language {
    position: absolute;
    right: 120px;
    top: 15px;
    width: 100px;
    display: block;
    height: 30px;
    line-height: 30px;
    font-size: 14px;
}

.language>div {
    width: 50%;
    height: 100%;
    float: left;
    box-sizing: border-box;
    cursor: pointer;
}

.language>div>div {
    height: 25px;
    width: 30px;
    line-height: 20px;
    margin-top: 4px;
    margin-left: 10px;
}

.language>div:hover>div {
    border-bottom: 2px solid #0340D8;
}

.language>div.selected>div {
    border-bottom: 2px solid #0340D8;
    cursor: default;
    color: #0340D8;
}

.language>div:first-child {
    border-right: 1px solid #808080;
}

.language>div>div>a {
    color: #808080;
    text-decoration: none;
    display: inline-block;
    width: 100%;
}

.language>div>div:hover>a {
    color: #0340D8;
}

.github-corner:hover .octo-arm {
    animation: octocat-wave 560ms ease-in-out;
}

.github-corner-index:hover .octo-arm {
    animation: octocat-wave 560ms ease-in-out;
}

.github-corner-playground:hover .octo-arm {
    animation: octocat-wave 560ms ease-in-out;
}

pre {
    padding: 0 0 0 0;
}

.github-corner svg {
    height: 108px;
    width: 108px;
    fill: #0340D8;
    color: #fff;
    position: absolute;
    top: 0;
    border: 0;
    right: 0;
}

.github-corner-index svg {
    height: 108px;
    width: 108px;
    fill: #0340D8;
    color: #fff;
    position: absolute;
    top: 0;
    border: 0;
    right: 0;
}

.github-corner-playground svg {
    height: 108px;
    width: 108px;
    fill: #548CA9;
    color: #fff;
    position: absolute;
    top: 0;
    border: 0;
    right: 0;
}

@keyframes octocat-wave {
    0%,
    100% {
        transform: rotate(0)
    }
    20%,
    60% {
        transform: rotate(-25deg)
    }
    40%,
    80% {
        transform: rotate(10deg)
    }
}

@media (max-width: 1000px) {
    #largeNav {
        display: none;
    }
    #more {
        display: block;
    }
}

@media (max-width: 820px) {
    .language {
        right: 70px;
    }
    footer {
        font-size: 14px;
    }
}

@media (max-width: 500px) {
    .github-corner:hover .octo-arm {
        animation: none
    }
    .github-corner .octo-arm {
        animation: octocat-wave 560ms ease-in-out
    }
    #logo>a>img {
        height: 60%;
        margin-top: 8%;
        float: left;
    }
    #logo>a>div {
        font-size: 18px;
        margin-left: 10px;
    }
    .language {
        right: 63px;
    }
}